DBusBabysitter Struct Reference
Utilities and portability

Babysitter implementation details. More...

## Data Fields

int | refcount
| Reference count.
HANDLE | start_sync_event
char * | executable
| executable name to use in error messages
DBusSpawnChildSetupFunc | child_setup
void * | user_data
int | argc
char ** | argv
char ** | envp
HANDLE | child_handle
int | socket_to_babysitter
| Connection to the babysitter process.
int | socket_to_main
DBusWatchList * | watches
| Watches.
DBusWatch * | sitter_watch
| Sitter pipe watch.
DBusBabysitterFinishedFunc | finished_cb
void * | finished_data
dbus_bool_t | have_spawn_errno
int | spawn_errno
dbus_bool_t | have_child_status
int | child_status
int | error_pipe_from_child
| Connection to the process that does the exec()
pid_t | sitter_pid
| PID Of the babysitter.
pid_t | grandchild_pid
| PID of the grandchild.
DBusWatch * | error_watch
| Error pipe watch.
int | errnum
| Error number.
int | status
| Exit status code.
unsigned int | have_child_status: 1
| True if child status has been reaped.
unsigned int | have_fork_errnum: 1
| True if we have an error code from fork()
unsigned int | have_exec_errnum: 1
| True if we have an error code from exec()

## Detailed Description

Babysitter implementation details.

Definition at line 61 of file dbus-spawn-win.c.

The documentation for this struct was generated from the following files:

- dbus-spawn-win.c
- dbus-spawn.c